Read bounded attachment metadata and retention states
GET
/v1/mail/messages/{messageId}/attachmentsAuthorizationBearer <token>
In: header
Path Parameters
messageId*string
Format:
uuidQuery Parameters
mailboxId?string
Omit for the acting account's Mailbox; other targets require owner/admin authority
Format:
uuidafter?integer
Range:
0 <= valuelimit?integer
Range:
1 <= value <= 100Response Body
application/json
curl -X GET "https://example.com/v1/mail/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08/attachments"{
"messageId": "8540d774-4863-4d2b-b788-4ecb19412e85",
"attachments": [
{
"attachmentId": "96b9bbac-86d3-4497-9e0c-1f8e3803eddb",
"ordinal": 0,
"filename": "string",
"contentType": "string",
"disposition": "inline",
"contentId": "string",
"state": "pending"
}
],
"nextAfter": 0,
"preparation": {
"state": "pending",
"expiresAt": "2019-08-24T14:15:22Z",
"registeredParts": 0,
"totalParts": 0
}
}